Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 2 of 2

Thread: Cannot install teensyduino on Ubuntu since unable to find my Arduino /lib/version.txt

  1. #1
    Junior Member
    Join Date
    Feb 2019
    Posts
    2

    Cannot install teensyduino on Ubuntu since unable to find my Arduino /lib/version.txt

    I am trying to install the Teesnyduino plugin for the Arduino IDE but I am unable since the installer fails to find the /lib/version.txt file. I am using the Arduino IDE 1.8.8 and the Teensyduino 1.4.5 installer, so it should work.

    I assume that this is because when I installed the Arduino IDE I installed it from ~/Downloads, so I tried running it from /usr/share but the Teensyduino installer is still unable to find the version.txt file. I do not know where the installer is looking for this version.txt file, so I didn't bother trying any other options.

    Any help would be appreciated, and also if this is indeed the problem it would be useful to include this in the download instructions?

  2. #2
    Junior Member
    Join Date
    Feb 2019
    Posts
    2
    So I was being really quite silly. While looking through forum threads, I kept on seeing that people said you need to navigate to the /Arduino folder. On Ubuntu, there's an /Arduino folder on my home, but obviously what I needed to down was point it to ~/Downloads/arduino/lib (or wherever you install it). Then of course there's the weird feature whereby you need to open that folder and click on ../ to be able to click 'Next'. Anyway, problem solved!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •